## kdepim-addons 25.08.2+p24.04+vstable+git20251016.2245

=== debian/changelog ===
kdepim-addons (25.08.2+p24.04+vstable+git20251016.2245-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 16 Oct 2025 22:45:50 +0000

kdepim-addons (25.08.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 10 Oct 2025 04:50:17 +0000
