## kdepim-addons 25.08.2+p24.04+vstable+git20251019.0912

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 # SPDX-FileCopyrightText: none
 # SPDX-License-Identifier: BSD-3-Clause
 cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
-set(PIM_VERSION "6.5.2")
+set(PIM_VERSION "6.5.3")
 
 project(kdepim-addons VERSION ${PIM_VERSION})
 
@@ -117,31 +117,31 @@
     find_package(KF6KCMUtils ${KF_MIN_VERSION} CONFIG REQUIRED)
 endif()
 
-set(MAILCOMMON_LIB_VERSION "6.5.2")
-set(GRAVATAR_LIB_VERSION "6.5.2")
-set(PIMCOMMON_LIB_VERSION "6.5.2")
-set(GRANTLEETHEME_LIB_VERSION "6.5.2")
-set(CALENDARSUPPORT_LIB_VERSION "6.5.2")
-set(LIBKDEPIM_LIB_VERSION "6.5.2")
-set(KADDRESSBOOK_IMPORTEXPORT_LIB_VERSION "6.5.2")
-set(LIBKLEO_LIB_VERSION "6.5.2")
-set(AKONADI_LIB_VERSION "6.5.2")
-set(INCIDENCEEDITOR_LIB_VERSION "6.5.2")
-set(KTNEF_LIB_VERSION "6.5.2")
-set(MESSAGELIB_LIB_VERSION "6.5.2")
-set(AKONADICALENDAR_LIB_VERSION "6.5.2")
-set(CALENDAR_UTILS_VERSION "6.5.2")
-set(KPIMTEXTEDIT_LIB_VERSION "6.5.2")
-set(KIMAP_LIB_VERSION "6.5.2")
-set(LIBKSIEVE_LIB_VERSION "6.5.2")
-set(KMAILTRANSPORT_LIB_VERSION "6.5.2")
-set(AKONADICONTACT_LIB_VERSION "6.5.2")
-set(IMPORTWIZARD_LIB_VERSION "6.5.2")
-set(MAILIMPORTER_LIB_VERSION "6.5.2")
-set(KPIMPKPASS_LIB_VERSION "6.5.2")
-set(KPIMITINERARY_LIB_VERSION "6.5.2")
-set(KPIM_MIME_VERSION "6.5.2")
-set(KLDAP_LIB_VERSION "6.5.2")
+set(MAILCOMMON_LIB_VERSION "6.5.3")
+set(GRAVATAR_LIB_VERSION "6.5.3")
+set(PIMCOMMON_LIB_VERSION "6.5.3")
+set(GRANTLEETHEME_LIB_VERSION "6.5.3")
+set(CALENDARSUPPORT_LIB_VERSION "6.5.3")
+set(LIBKDEPIM_LIB_VERSION "6.5.3")
+set(KADDRESSBOOK_IMPORTEXPORT_LIB_VERSION "6.5.3")
+set(LIBKLEO_LIB_VERSION "6.5.3")
+set(AKONADI_LIB_VERSION "6.5.3")
+set(INCIDENCEEDITOR_LIB_VERSION "6.5.3")
+set(KTNEF_LIB_VERSION "6.5.3")
+set(MESSAGELIB_LIB_VERSION "6.5.3")
+set(AKONADICALENDAR_LIB_VERSION "6.5.3")
+set(CALENDAR_UTILS_VERSION "6.5.3")
+set(KPIMTEXTEDIT_LIB_VERSION "6.5.3")
+set(KIMAP_LIB_VERSION "6.5.3")
+set(LIBKSIEVE_LIB_VERSION "6.5.3")
+set(KMAILTRANSPORT_LIB_VERSION "6.5.3")
+set(AKONADICONTACT_LIB_VERSION "6.5.3")
+set(IMPORTWIZARD_LIB_VERSION "6.5.3")
+set(MAILIMPORTER_LIB_VERSION "6.5.3")
+set(KPIMPKPASS_LIB_VERSION "6.5.3")
+set(KPIMITINERARY_LIB_VERSION "6.5.3")
+set(KPIM_MIME_VERSION "6.5.3")
+set(KLDAP_LIB_VERSION "6.5.3")
 
 find_package(KPim6Mime ${KPIM_MIME_VERSION} CONFIG REQUIRED)
 find_package(KF6CalendarCore ${KF_MIN_VERSION} CONFIG REQUIRED)
