=== debian/changelog ===
kdepim-addons (25.08.2+p24.04+vstable+git20251019.0912-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 19 Oct 2025 09:12:36 +0000
