## kdepim-addons 25.08.2+p24.04+vstable+git20251023.0128

=== debian/changelog ===
kdepim-addons (25.08.2+p24.04+vstable+git20251023.0128-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 23 Oct 2025 01:28:46 +0000
