## kdepim-addons 25.08.2+p24.04+vunstable+git20251013.1255

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,20 +1,21 @@
 # SPDX-FileCopyrightText: none
 # SPDX-License-Identifier: BSD-3-Clause
 cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
-set(PIM_VERSION "6.5.3")
+set(PIM_VERSION "6.5.40")
 
 project(kdepim-addons VERSION ${PIM_VERSION})
 
-set(KF_MIN_VERSION "6.14.0")
+set(KF_MIN_VERSION "6.17.0")
 set(QT_REQUIRED_VERSION "6.8.0")
 set(CMAKE_CXX_STANDARD 20)
+set(CMAKE_CXX_SCAN_FOR_MODULES OFF)
 find_package(ECM ${KF_MIN_VERSION} CONFIG REQUIRED)
 set(CMAKE_MODULE_PATH
     ${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules/
     ${ECM_MODULE_PATH}
 )
 # Do NOT add quote
-set(KDEPIM_DEV_VERSION)
+set(KDEPIM_DEV_VERSION alpha)
 
 # add an extra space
 if(DEFINED KDEPIM_DEV_VERSION)
@@ -76,8 +77,10 @@
 include(ECMQtDeclareLoggingCategory)
 include(ECMDeprecationSettings)
 include(ECMFeatureSummary)
-set(KTEXTADDONS_MIN_VERSION "1.6.0")
-set(KTEXTADDONS_WITH_TEXTAUTOGENERATETEXT_VERSION "1.6.0")
+set(KTEXTADDONS_MIN_VERSION "1.8.0")
+set(KTEXTADDONS_WITH_TEXTAUTOGENERATETEXT_VERSION "1.8.0")
+include_directories(${CMAKE_CURRENT_BINARY_DIR})
+
 
 option(
     KDEPIM_ENTERPRISE_BUILD
@@ -117,31 +120,31 @@
     find_package(KF6KCMUtils ${KF_MIN_VERSION} CONFIG REQUIRED)
 endif()
 
-set(MAILCOMMON_LIB_VERSION "6.5.3")
-set(GRAVATAR_LIB_VERSION "6.5.3")
-set(PIMCOMMON_LIB_VERSION "6.5.3")
-set(GRANTLEETHEME_LIB_VERSION "6.5.3")
-set(CALENDARSUPPORT_LIB_VERSION "6.5.3")
-set(LIBKDEPIM_LIB_VERSION "6.5.3")
-set(KADDRESSBOOK_IMPORTEXPORT_LIB_VERSION "6.5.3")
-set(LIBKLEO_LIB_VERSION "6.5.3")
-set(AKONADI_LIB_VERSION "6.5.3")
-set(INCIDENCEEDITOR_LIB_VERSION "6.5.3")
-set(KTNEF_LIB_VERSION "6.5.3")
-set(MESSAGELIB_LIB_VERSION "6.5.3")
-set(AKONADICALENDAR_LIB_VERSION "6.5.3")
-set(CALENDAR_UTILS_VERSION "6.5.3")
-set(KPIMTEXTEDIT_LIB_VERSION "6.5.3")
-set(KIMAP_LIB_VERSION "6.5.3")
-set(LIBKSIEVE_LIB_VERSION "6.5.3")
-set(KMAILTRANSPORT_LIB_VERSION "6.5.3")
-set(AKONADICONTACT_LIB_VERSION "6.5.3")
-set(IMPORTWIZARD_LIB_VERSION "6.5.3")
-set(MAILIMPORTER_LIB_VERSION "6.5.3")
-set(KPIMPKPASS_LIB_VERSION "6.5.3")
-set(KPIMITINERARY_LIB_VERSION "6.5.3")
-set(KPIM_MIME_VERSION "6.5.3")
-set(KLDAP_LIB_VERSION "6.5.3")
+set(MAILCOMMON_LIB_VERSION "6.5.40")
+set(GRAVATAR_LIB_VERSION "6.5.40")
+set(PIMCOMMON_LIB_VERSION "6.5.40")
+set(GRANTLEETHEME_LIB_VERSION "6.5.40")
+set(CALENDARSUPPORT_LIB_VERSION "6.5.40")
+set(LIBKDEPIM_LIB_VERSION "6.5.40")
+set(KADDRESSBOOK_IMPORTEXPORT_LIB_VERSION "6.5.40")
+set(LIBKLEO_LIB_VERSION "6.5.40")
+set(AKONADI_LIB_VERSION "6.5.40")
+set(INCIDENCEEDITOR_LIB_VERSION "6.5.40")
+set(KTNEF_LIB_VERSION "6.5.40")
+set(MESSAGELIB_LIB_VERSION "6.5.40")
+set(AKONADICALENDAR_LIB_VERSION "6.5.40")
+set(CALENDAR_UTILS_VERSION "6.5.40")
+set(KPIMTEXTEDIT_LIB_VERSION "6.5.40")
+set(KIMAP_LIB_VERSION "6.5.40")
+set(LIBKSIEVE_LIB_VERSION "6.5.40")
+set(KMAILTRANSPORT_LIB_VERSION "6.5.40")
+set(AKONADICONTACT_LIB_VERSION "6.5.40")
+set(IMPORTWIZARD_LIB_VERSION "6.5.40")
+set(MAILIMPORTER_LIB_VERSION "6.5.40")
+set(KPIMPKPASS_LIB_VERSION "6.5.40")
+set(KPIMITINERARY_LIB_VERSION "6.5.40")
+set(KPIM_MIME_VERSION "6.5.40")
+set(KLDAP_LIB_VERSION "6.5.40")
 
 find_package(KPim6Mime ${KPIM_MIME_VERSION} CONFIG REQUIRED)
 find_package(KF6CalendarCore ${KF_MIN_VERSION} CONFIG REQUIRED)
@@ -231,7 +234,14 @@
     REQUIRED
 )
 find_package(KPim6PkPass ${KPIMPKPASS_LIB_VERSION} CONFIG REQUIRED)
-find_package(KPim6Itinerary ${KPIMITINERARY_LIB_VERSION} CONFIG REQUIRED)
+find_package(KPim6Itinerary ${KPIMITINERARY_LIB_VERSION} CONFIG)
+set_package_properties(
+                KPim6Itinerary
+                PROPERTIES
+		DESCRIPTION "Allow to build itinerary plugins"
+                    TYPE OPTIONAL
+            )
+
 find_package(KPim6LdapWidgets ${KLDAP_LIB_VERSION} CONFIG REQUIRED)
 find_package(KF6TextTemplate CONFIG REQUIRED)
 
@@ -261,6 +271,10 @@
     endif()
 endif()
 
+if(${KF6TextAddonsWidgets_VERSION} VERSION_GREATER_EQUAL 1.8.41)
+    set(HAVE_TEXTUTILS_SYNTAXHIGHLIGTHER_SUPPORT TRUE)
+endif()
+
 configure_file(
     config-kdepim-addons.h.in
     ${CMAKE_CURRENT_BINARY_DIR}/config-kdepim-addons.h
@@ -297,7 +311,7 @@
         URL "https://www.gnupg.org"
         TYPE REQUIRED
 )
-ecm_set_disabled_deprecation_versions(QT 6.10.0 KF 6.16.0)
+ecm_set_disabled_deprecation_versions(QT 6.10.0 KF 6.18.0)
 
 option(KDEPIM_RUN_AKONADI_TEST "Enable autotest based on Akonadi." TRUE)
 include_directories(${CMAKE_CURRENT_SOURCE_DIR})
@@ -366,17 +380,3 @@
 add_subdirectory(kmailtransport)
 add_subdirectory(kldap)
 if(TARGET KPim6::ImportWizard)
-    add_subdirectory(akonadi-import-wizard)
-endif()
-if(TARGET KF6::TextAutoGenerateText)
-    add_subdirectory(pimautogeneratetext)
-endif()
-
-ecm_qt_install_logging_categories(
-    EXPORT KDEPIMADDONS
-    FILE kdepim-addons.categories
-    DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR}
-)
-kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)
-ki18n_install(po)
-ecm_feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)
