=== debian/changelog ===
kdepim-addons (25.08.2+p24.04+vunstable+git20251013.1255-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 13 Oct 2025 12:55:56 +0000
